## GtkInvisible

GtkInvisible — internally-used widget which is not displayed.

## Synopsis

    #include <gtk/gtk.h>

    struct      GtkInvisible;
    GtkWidget*  gtk_invisible_new               (void);
    GtkWidget*  gtk_invisible_new_for_screen    (GdkScreen *screen);
    void        gtk_invisible_set_screen        (GtkInvisible *invisible,
                                                 GdkScreen *screen);
    GdkScreen*  gtk_invisible_get_screen        (GtkInvisible *invisible);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkInvisible

## Implemented Interfaces

GtkInvisible implements AtkImplementorIface.

## Properties

      "screen"               GdkScreen            : Read / Write

## Description

The GtkInvisible widget is used internally in GTK+, and is probably not useful for application developers.

It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

## Details

### struct GtkInvisible

    struct GtkInvisible;

The GtkInvisible struct contains no public fields.

### gtk_invisible_new ()

    GtkWidget*  gtk_invisible_new               (void);

Creates a new GtkInvisible.

Returns : | a new GtkInvisible.

### gtk_invisible_new_for_screen ()

    GtkWidget*  gtk_invisible_new_for_screen    (GdkScreen *screen);

Creates a new GtkInvisible object for a specified screen

`screen` : | a GdkScreen which identifies on which the new GtkInvisible will be created.
Returns : | a newly created GtkInvisible object

Since 2.2

### gtk_invisible_set_screen ()

    void        gtk_invisible_set_screen        (GtkInvisible *invisible,
                                                 GdkScreen *screen);

Sets the GdkScreen where the GtkInvisible object will be displayed.

`invisible` : | a GtkInvisible.
`screen` : | a GdkScreen.

Since 2.2

### gtk_invisible_get_screen ()

    GdkScreen*  gtk_invisible_get_screen        (GtkInvisible *invisible);

Returns the GdkScreen object associated with `invisible`

`invisible` : | a GtkInvisible.
Returns : | the associated GdkScreen.

Since 2.2

## Properties

"`screen`" (GdkScreen : Read / Write) | The screen where this window will be displayed.